<?xml version="1.0" encoding="utf-8"?>
<!-- $Revision: 1.1 $ -->

<!-- 
    stylesheet to generate the paper's "index.html" page 
 -->


<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                version="1.0">
<xsl:param name="filename" />

<xsl:output method="html" indent="yes"/>

<xsl:template match="/">
    
    <html>
        <head>
            <title><xsl:value-of select="whitePaper/title"/></title>
        </head>
        
        <body>
            <h2><xsl:value-of select="whitePaper/title"/></h2>
            <p>
            <b>Abstract:</b>
            <xsl:value-of select="//abstract"/>
            </p>
            <p>KEYWORDS: <xsl:value-of select="whitePaper/abstract/@keywords" /></p>
            <p>
            Download the <a href="{$filename}.pdf">Paper</a><br/>
            Download the <a href="{$filename}.jar">Code</a> (Note that the code makes heavy use of the <a href="jakarta.apache.org">Ant</a>
            build tool for building and running the examples within the paper.)
            </p>
        </body>
    </html>
</xsl:template>

</xsl:stylesheet>
